    # File lib/active_support/vendor/memcache-client-1.6.5/memcache.rb, line 193
      def get(key, raw = false)
        with_server(key) do |server, cache_key|
          value = cache_get server, cache_key
          logger.debug { "GET #{key} from #{server.inspect}: #{value ? value.to_s.size : 'nil'}" } if logger
          return nil if value.nil?
          value = Marshal.load value unless raw
          return value
        end
      rescue TypeError => err
        handle_error nil, err
      end